Subject: Re: SPI bus master driver for the Freescale MPC52xx

From: Grant Likely <[email-masked]>
Date: Fri, 23 Sep 2005 10:54:40 -0600

Bah!  Your reply-to: address is broken.  Check your email client.

let me try that again...

On 9/23/05, Grant Likely <[email-masked]> wrote:
> Hi.
>
> First off, I've included the linuxppc-embedded mailing list in my
> reply.  It's better to mail the list and CC: me rather than just
> mailing me.  There are many others far brighter than me on the list
> who can provide far more help.
>
> On 9/22/05, Frank Bennett <[email-masked]> wrote:
> >  Gary:
> My name is Grant
>
> >
> >  I saw your patch on http://patchwork.ozlabs.org/linuxppc
> >  I'm developing a SPI driver for the Lite5200.
> Are you using a PSC or the SPI peripheral?  The driver I've written is fo=
r a PSC
> >
> >  What distribution of Linux is this for?
> Any distro you want.  It should apply cleanly against any recent 2.6.x ke=
rnel
>
> >  What is this patch registry all about?
> Are you refering to the bit about device drivers registering to the
> SPI subsystem?  If so, the first patch provides the generic SPI
> infrastructure.  Device drivers for SPI masters and SPI slaves
> register to the SPI subsystem.  That way SPI master device drivers are
> decoupled from SPI slave device drivers.  It follows the new device
> model in the 2.6.x kernels.  (See "Linux Device Drivers" book from
> O'reilly for details.
>
> >  Can I get a snapshot of the mpc52xx driver stuff?
> I've made no changes since posting the patch.
>
> Eventually I'll have a public git tree with all my changes posted in
> it; but not yet.
>
> >  How can I contribute to this effort?
> Write code, write documentation and post patches.  Also, look in the
> LKML archives.  There are two other competing SPI implementations that
> are being developed.  I've been pulled off onto other work so I've not
> done any additional work.  The other code looks more promising.
>
> That being said, my code works for me so it may be usable for you as-is.
>
> cheers,
> g.
>